*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}


.placeholder{
    width: 100px;
}


body{
    background: #f4f9ff;
}


/* NAVBAR */

nav{
    width: 100%;
    padding: 20px 10%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: white;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

.logo{
    font-size: 35px;
    font-weight: bold;
    color: #00a2ff;
}

.logo span{
    color: navy;
}

nav ul{
    display: flex;
    list-style: none;
    gap: 30px;
}

nav a{
    text-decoration: none;
    color: #444;
    font-weight: 500;
    transition: 0.3s;
}

nav a:hover,
nav a.active{
    color: #00a2ff;
}


/* HERO */

.hero{
    min-height: 90vh;
    padding: 50px 10%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 30px;
}

.hero-text{
    flex: 1;
}

.hero-text h1{
    font-size: 65px;
    color: navy;
    margin-bottom: 20px;
}

.hero-text p{
    font-size: 18px;
    line-height: 1.7;
    color: #555;
    margin-bottom: 30px;
}

.hero-buttons{
    display: flex;
    gap: 20px;
}

.btn,
.btn2{
    padding: 15px 35px;
    border-radius: 10px;
    text-decoration: none;
    font-weight: 600;
    transition: 0.3s;
}

.btn{
    background: #00a2ff;
    color: white;
}

.btn:hover{
    background: navy;
}

.btn2{
    border: 2px solid #00a2ff;
    color: #00a2ff;
}

.btn2:hover{
    background: #00a2ff;
    color: white;
}

.hero-image{
    flex: 1;
}

.hero-image img{
    width: 100%;
    border-radius: 20px;
}


/* SERVICES SLIDER */

.services{
    text-align: center;
}

.services h1{
    font-size: 50px;
    color: navy;
    margin-bottom: 20px;
}

.slider-container{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}



.slider{
    width: 550px;
    position: relative;
}

.slide{
    display: none;
    border-radius: 20px;
    overflow: hidden;
}

.slide.active{
    display: block;
    animation: fade 0.3s ease;
}

/*
.slide img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}   */

.slide img{
    width: 100%;
    height: 400px;
    object-fit: contain;
    transform: scale(1.2);
    margin-bottom: 10px;
   
}

.slide h2{
    margin-top: 20px;
    color: navy;
}

.prev,
.next{
    width: 60px;
    height: 60px;
    border: none;
    border-radius: 50%;
    background: #00a2ff;
    color: white;
    font-size: 25px;
    cursor: pointer;
}

.prev:hover,
.next:hover{
    background: navy;
}

@keyframes fade{

    from{
        opacity: 0;
        transform: scale(0.95);
    }

    to{
        opacity: 1;
        transform: scale(1);
    }
}


/* SERVICES PAGE */

.services-page{
    padding: 50px 10%;
}

.title{
    text-align: center;
    font-size: 50px;
    color: navy;
    margin-bottom: 50px;
}

.services-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px,1fr));
    gap: 30px;
}

.service-card{
    background: white;
    border-radius: 20px;
    overflow: hidden;
    text-align: center;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    transition: 0.3s;
}

.service-card:hover{
    transform: translateY(-10px);
}

.service-card img{
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.service-card h2{
    margin-top: 20px;
    color: navy;
}

.service-card p{
    padding: 20px;
    color: #666;
}

.price-tag{
    width: 120px;
    margin: auto;
    margin-bottom: 25px;
    padding: 10px;
    border-radius: 30px;
    background: #00c853;
    color: white;
    font-size: 22px;
    font-weight: bold;
}

.book-btn{
    display: block;
    width: 250px;
    margin: 50px auto;
    text-align: center;
    text-decoration: none;
    background: navy;
    color: white;
    padding: 18px;
    border-radius: 10px;
    font-size: 22px;
    transition: 0.3s;
}

.book-btn:hover{
    background: #00a2ff;
}


/* BOOKING */

.booking-section{
    padding: 50px 10%;
    display: flex;
    justify-content: center;
    gap: 50px;
    flex-wrap: wrap;
}

.booking-services,
.booking-form{
    width: 450px;
}

.booking-services h1,
.booking-form h1{
    color: navy;
    margin-bottom: 30px;
}

.booking-card{
    background: white;
    padding: 20px;
    margin-bottom: 20px;
    border-radius: 15px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
}

.booking-card label{
    display: block;
    margin-top: 10px;
}

.booking-form{
    background: white;
    padding: 40px;
    border-radius: 20px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.input-box{
    margin-bottom: 20px;
}

.input-box label{
    display: block;
    margin-bottom: 8px;
    font-weight: 500;
}

.input-box input{
    width: 100%;
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #ccc;
}

.submit-btn{
    display: flex;
    justify-content: center;
    justify-self: center;
    width: 200px;
    padding: 15px;
    border: none;
    background: #00c853;
    color: white;
    border-radius: 10px;
    font-size: 18px;
    cursor: pointer;
}

.submit-btn:hover{
    background: #009624;
}


/* ABOUT */

.about-section,
.contact-section{
    width: 80%;
    margin: 80px auto;
    background: white;
    padding: 50px;
    border-radius: 20px;
    text-align: center;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.about-section h1,
.contact-section h1{
    color: navy;
    margin-bottom: 20px;
}

.about-section p,
.contact-section p{
    font-size: 18px;
    line-height: 1.7;
    color: #555;
}


/* FOOTER */

footer{
    background: navy;
    color: white;
    text-align: center;
    padding: 20px;
    margin-top: 50px;
}


/* RESPONSIVE */

@media(max-width: 900px){

    nav{
        flex-direction: column;
        gap: 20px;
    }

    nav ul{
        flex-wrap: wrap;
        justify-content: center;
    }

    .hero{
        flex-direction: column;
        text-align: center;
    }

    .hero-text h1{
        font-size: 45px;
    }

    .hero-buttons{
        justify-content: center;
    }

    .slider{
        width: 100%;
    }

    .slide img{
        height: 300px;
    }

    .booking-services,
    .booking-form{
        width: 100%;
    }
}

/* LOGIN & REGISTER */

.auth-container{
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #f4f9ff;
}

.auth-form{
    width: 400px;
    background: white;
    padding: 40px;
    border-radius: 20px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.auth-form .placeholder{
    width: 100%;
    max-width: 320px;
}


.auth-form h1{
    text-align: center;
    color: navy;
    margin-bottom: 30px;
}

.switch{
    margin-top: 20px;
    text-align: center;
}

.switch a{
    color: #00a2ff;
    text-decoration: none;
    font-weight: 600;
}




/*contact*/
.contact-section {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    max-width: 1100px;
    margin: auto;
    gap: 60px;
    padding: 40px;
}

.social-side,
.form-side {
    flex: 1;
    max-width: 550px;
    width: 100%;
    height: 750px;
    padding: 50px 40px;
    border-radius: 15px;
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(10px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 20px skyblue;
}

.social-side h2,
.form-side h2 {
    margin-bottom: 20px;
    color: navy;
    font-size: 32px;
    text-align: center;
}

/* CONTACT INFO */

.contact-info {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 25px;
    margin-top: 20px;
}

.contact-box {
    width: 100%;
    padding: 6px;
    padding-bottom: 6px;
     border: 1px solid rgb(0, 152, 212);
    border-radius: 15px;
    text-align: center;
    transition: 0.3s;
    /*box-shadow: 0 0 15px skyblue; */
}

.contact-box:hover {
    transform: translateY(-5px);
    box-shadow: 0 0 20px skyblue;
}

.contact-box h3 {
    color: navy;
    margin-bottom: 5px;
    font-size: 18px;
}

.contact-box p {
    font-size: 16px;
    color: rgb(29, 29, 29);
    margin: 5px 0;
    overflow: hidden;
}

/* DESCRIPTION */

#descrip {
    color: black;
    font-size: 15px;
    text-align: center;
    margin-top: 40px;
    line-height: 1.7;
}

/* FORM SIDE */

.form-side p {
    padding-bottom: 20px;
    font-size: 14px;
    color: rgb(29, 29, 29);
    text-align: center;
    line-height: 1.7;
}

.input-box {
    width: 350px;
    margin-bottom: 15px;
}

.input-box input,
.input-box textarea {
    width: 100%;
    padding: 14px;
   border: 1px solid rgb(0, 152, 212);
    border-radius: 8px;
    background: transparent;
    color: black;
    outline: none;
    transition: 0.3s;
    font-size: 15px;
}

.input-box input:focus,
.input-box textarea:focus {
    border-color: #a855f7;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    box-shadow: 0 0 10px #a3a2a3;
}

.input-box textarea {
    min-height: 160px;
    resize: none;
}

/* BUTTON */

.btn-btn {
    width: 100%;
    padding: 14px;
    border: none;
    background: #00c853;
    color: #FFF;
    font-weight: bold;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.3s;
    font-size: 16px;
}

.btn-btn:hover {
    background: white;
    color: #00c853;
    border: 1px solid #00c853;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

/* LETTER SECTION */

.letter-container {
    margin-top: 40px;
    padding: 30px;
    line-height: 1.8;
    font-family: "Times New Roman", Times, serif;
    font-size: 16px;
    text-align: justify;
    margin-left: 200px;
    margin-right: 200px;
    color: gray;
}

.letter-container .greeting {
    margin-bottom: 20px;
    text-indent: 0;
}

.letter-container p {
    margin-bottom: 20px;
    text-indent: 40px;
}

/* RESPONSIVE */

@media (max-width: 900px) {
    .contact-section {
        flex-direction: column;
        padding: 20px;
    }

    .social-side,
    .form-side {
        width: 100%;
    }

    .letter-container {
        margin-left: 20px;
        margin-right: 20px;
    }
}



/* complete booking */

.complete-section{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f5f5f5;
}

.complete-box{
    background-color: white;
    padding: 40px;
    border-radius: 15px;
    width: 400px;
    text-align: center;
    box-shadow: 0 0 10px rgba(0,0,0,0.2);
}

.complete-box h1{
    color: green;
    margin-bottom: 20px;
}

.complete-box ul{
    list-style: none;
    padding: 0;
}

.home-btn{
    display: inline-block;
    margin-top: 20px;
    padding: 10px 20px;
    background-color: skyblue;
    color: white;
    text-decoration: none;
    border-radius: 5px;
}





/* =========================
   MOBILE RESPONSIVE
========================= */

@media (max-width: 768px){

    /* NAVBAR */

    nav{
        padding: 15px 5%;
        flex-direction: column;
        gap: 15px;
        text-align: center;
    }

    nav ul{
        gap: 15px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .logo{
        font-size: 28px;
    }


    /* HERO SECTION */

    .hero{
        flex-direction: column;
        padding: 40px 5%;
        text-align: center;
    }

    .hero-text h1{
        font-size: 40px;
        line-height: 1.2;
    }

    .hero-text p{
        font-size: 16px;
    }

    .hero-buttons{
        justify-content: center;
        flex-wrap: wrap;
    }

    .btn,
    .btn2{
        width: 100%;
        max-width: 250px;
    }


    /* SLIDER */

    .services h1{
        font-size: 35px;
    }

    .slider{
        width: 100%;
    }

    .slide img{
        height: 180px;
        width: 180px;
    }

    .prev,
    .next{
        width: 45px;
        height: 45px;
        font-size: 20px;
    }


    /* SERVICES PAGE */

    .title{
        font-size: 35px;
    }

    .service-card img{
        height: 220px;
    }

    .book-btn{
        width: 100%;
        font-size: 18px;
    }


    /* BOOKING */

    .booking-section{
        padding: 30px 5%;
    }

    .booking-services{
        width: 100%;
    }

    .booking-card{
        padding: 15px;
    }

    .booking-card label{
        font-size: 14px;
    }


    /* LOGIN & REGISTER */

    .auth-form{
    width: 95%;
    max-width: 400px;
   margin: auto;
    }

       .auth-form .placeholder{
        width: 100%;
        box-sizing: border-box;
    }

    .input-box{
    width: 100%;
    }


    /* CONTACT */

    .contact-section{
        flex-direction: column;
        width: 95%;
        gap: 25px;
        padding: 20px;
    }

    .social-side,
    .form-side{
        width: 100%;
        padding: 30px 20px;
    }

    .input-box{
        width: 100%;
    }


    /* ABOUT */

    .about-section{
        width: 95%;
        padding: 30px 20px;
    }

    .about-section p{
        font-size: 16px;
    }


    /* COMPLETE PAGE */

    .complete-box{
        width: 95%;
        padding: 30px 20px;
    }


    /* FOOTER */

    footer{
        font-size: 14px;
        padding: 15px;
    }

}


select{
    width: 200px;
    padding: 10px;
    border-radius: 8px;
    border: 1px solid gray;
    margin-top: 10px;
}


/* BURGER */

.burger{
    display: none;
    font-size: 30px;
    cursor: pointer;
}


/* MOBILE NAVBAR */

@media(max-width: 768px){

    nav{
        flex-direction: row;
        justify-content: space-between;
        position: relative;
    }

    .burger{
        display: block;
    }

    nav ul{
        display: none;
        flex-direction: column;
        position: absolute;
        top: 80px;
        right: 0;
        width: 220px;
        background: white;
        padding: 20px;
        border-radius: 10px;
        box-shadow: 0 5px 15px rgba(0,0,0,0.1);
        gap: 20px;
        z-index: 1000;
    }

    nav ul.active{
        display: flex;
    }
}